Bug 718255

Summary: /usr/local/bin hardcoded into path in sshd
Product: [Fedora] Fedora Reporter: Andrew Schretter <schrett>
Component: opensshAssignee: Petr Lautrbach <plautrba>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: mattias.ellert, mgrepl, rvokal, tmraz
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 14:04:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Andrew Schretter 2011-07-01 11:24:10 EDT
Description of problem:
sshd has a hardcoded PATH environment set as :

/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

The problem is if /usr/local is NFS mounted and, for some 
unrelated reason, the NFS mount is unavailable, logins via
ssh hang.  You can CTRL-C twice to get out of the hang, but
this is sub-optimal and complicates debugging.

Since the PATH is set for logins in /etc/profile anyway, I
don't see any valid reason for sshd to have /usr/local in its
default PATH and it does cause the above problem, among others.

Version-Release number of selected component (if applicable):
openssh-5.6p1-31.fc15.1

How reproducible:
Always

Steps to Reproduce:
1. Mount /usr/local via NFS
2. Stop NFS server
3. Try to ssh into machine 
  
Actual results:
SSH connection succeeds but you never get a shell prompt

Expected results:
Successfull SSH connection with shell prompt

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2011-11-30 07:25:59 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2012-08-07 14:04:31 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping